SEM_DESTROY(3)

NAME
sem_destroy - destroy an unnamed semaphore

LIBRARY
librt

SYNOPSIS
#include <semaphore.h>
int
sem_destroy(sem_t *sem);

DESCRIPTION
The sem_destroy() function destroys the unnamed semaphore pointed to by sem. After a successful call to sem_destroy(), sem is unusable until re-initialized by another call to sem_init().

RETURN VALUES

ERRORS
sem_destroy() will fail if:

[EINVAL]
    sem points to an invalid semaphore.

[EBUSY]
    There are currently threads blocked on the semaphore that sem points to.

SEE ALSO
sem_init(3)

STANDARDS
sem_destroy() conforms to p1003.1-96.

POSIX does not define the behavior of sem_destroy() if called while there are threads blocked on sem, but this implementation is guaranteed to return -1 and set errno to EBUSY if there are threads blocked on sem.